var mobileState = {
	
	create: function() {
		
		//--------------------------------------------------------------------------------
		//                              PRELOADER BACKGROUND
		//--------------------------------------------------------------------------------
		preloaderBG = game.add.sprite(0, 0, "preloaderBG");
		loadingBar = game.add.sprite(27, 286,"loadingBar");
		
		//-------------------------------------------------------------------------------
		//                              MOBILE SOUND DIALOG
		//-------------------------------------------------------------------------------
		mobileSoundDialog = game.add.sprite(centerX, centerY, "mobileSoundDialog");
		mobileSoundDialog.anchor.set(0.5);
		
		//========== YES BUTTON ==========
		mobileYesButton = game.add.button(-56, 36, "mobileYesButton", mobileYesFunction, this, 1, 0, 2, 1);
		mobileYesButton.anchor.setTo(0.5, 0.5);
		mobileYesButton.events.onInputDown.add(function() { buttonSelect.play(); });
		function mobileYesFunction() {
			soundsAreMuted = false;
			musicIsMuted = false;
			game.time.events.add(Phaser.Timer.SECOND * 0.5, function() {
				gameMusic.volume = 0.8;
				game.state.start("menuState");
			});
		}
		mobileSoundDialog.addChild(mobileYesButton);
		
		//========== NO BUTTON ==========
		mobileNoButton = game.add.button(56, 36, "mobileNoButton", mobileNoFunction, this, 1, 0, 2, 1);
		mobileNoButton.anchor.setTo(0.5, 0.5);
		function mobileNoFunction() {
			soundsAreMuted = true;
			musicIsMuted = true;
			gameMusic.volume = 0.0;
			game.time.events.add(Phaser.Timer.SECOND * 0.5, function() { game.state.start("menuState"); });
		}
		mobileSoundDialog.addChild(mobileNoButton);
		
		mobileSoundDialog.scale.set(0);
		
		//========== MAKE DIALOG SHOW AT START ==========
		game.add.tween(mobileSoundDialog.scale).to({x: 1,y: 1}, 500, Phaser.Easing.Elastic.Out, true);
		
	}
	
}
