var preloader = {
		
	preload: function() {
		
		//-----------------------------------------------------------------------------
		//                              SET PRELOADER BAR
		//-----------------------------------------------------------------------------
		preloaderBG = game.add.sprite(0, 0, "preloaderBG");
		loadingBar = game.add.sprite(27, 286,"loadingBar");
		game.load.setPreloadSprite(loadingBar);
		
		//----------------------------------------------------------------------
		//                              MENU STATE
		//----------------------------------------------------------------------
		game.load.spritesheet("checkerBackground", "cubxer/menuState/checkerBackground.jpg", 400, 555);
		game.load.spritesheet("closeButton", "cubxer/menuState/closeButton.png", 173, 47);
		game.load.spritesheet("continueGameButton", "cubxer/menuState/continueGameButton.png", 219, 61);
		game.load.spritesheet("creditsButton", "cubxer/menuState/creditsButton.png", 219, 61);
		game.load.image("creditsDialog", "cubxer/menuState/creditsDialog.png");
		game.load.spritesheet("howToPlayButton", "cubxer/menuState/howToPlayButton.png", 219, 61);
		game.load.image("howToPlayDialog", "cubxer/menuState/howToPlayDialog.png");
		game.load.image("howToPlayKeys", "cubxer/menuState/howToPlayKeys.png");
		game.load.image("howToPlaySwipe", "cubxer/menuState/howToPlaySwipe.png");
		game.load.image("menuGUI", "cubxer/menuState/menuGUI.png");
		game.load.spritesheet("moreGamesButton", "cubxer/menuState/moreGamesButton.png", 219, 61);
		game.load.spritesheet("musicButton", "cubxer/menuState/musicButton.png", 219, 61);
		game.load.spritesheet("newGameButton", "cubxer/menuState/newGameButton.png", 219, 61);
		game.load.spritesheet("playGameButton", "cubxer/menuState/playGameButton.png", 219, 61);
		game.load.image("playGameDialog", "cubxer/menuState/playGameDialog.png");
		game.load.spritesheet("soundButton", "cubxer/menuState/soundButton.png", 219, 61);
		game.load.image("title", "cubxer/menuState/title.png");
		
		//------------------------------------------------------------------------
		//                              MOBILE STATE
		//------------------------------------------------------------------------
		game.load.spritesheet("mobileNoButton", "cubxer/mobileState/mobileNoButton.png", 109, 66);
		game.load.image("mobileSoundDialog", "cubxer/mobileState/mobileSoundDialog.png");
		game.load.spritesheet("mobileYesButton", "cubxer/mobileState/mobileYesButton.png", 109, 66);
		
		//-----------------------------------------------------------------
		//                              MUSIC
		//-----------------------------------------------------------------
		game.load.audio("gameMusic",	[ "cubxer/music/gameMusic.m4a", "cubxer/music/gameMusic.ogg", ]);
		
		//----------------------------------------------------------------------
		//                              PLAY STATE
		//----------------------------------------------------------------------
		game.load.image("black", "cubxer/playState/black.png");
		game.load.spritesheet("continueButton", "cubxer/playState/continueButton.png", 219, 61);
		game.load.spritesheet("cube", "cubxer/playState/cube.png", 64, 64);
		game.load.spritesheet("dropCube", "cubxer/playState/dropCube.png", 83, 64);
		game.load.spritesheet("finalScoreDigits", "cubxer/playState/finalScoreDigits.png", 35, 45);
		game.load.image("gameOverMessage", "cubxer/playState/gameOverMessage.png");
		game.load.spritesheet("gotoMenuButton", "cubxer/playState/gotoMenuButton.png", 219, 61);
		game.load.image("grid", "cubxer/playState/grid.png");
		game.load.spritesheet("highscoreDigits", "cubxer/playState/highscoreDigits.png", 9, 12);
		game.load.image("levelCompleteMessage", "cubxer/playState/levelCompleteMessage.png");
		game.load.spritesheet("levelDigits", "cubxer/playState/levelDigits.png", 19, 25);
		game.load.spritesheet("menuButton", "cubxer/playState/menuButton.png", 68, 63);
		game.load.image("menuDialog", "cubxer/playState/menuDialog.png");
		game.load.spritesheet("nextDropCube", "cubxer/playState/nextDropCube.png", 32, 25);
		game.load.image("playGUI", "cubxer/playState/playGUI.png");
		game.load.spritesheet("progressBar", "cubxer/playState/progressBar.png", 24, 523);
		game.load.spritesheet("replayButton", "cubxer/playState/replayButton.png", 219, 61);
		game.load.image("scoreDialog", "cubxer/playState/scoreDialog.png");
		game.load.spritesheet("scoreDigits", "cubxer/playState/scoreDigits.png", 18, 23);
		
		//------------------------------------------------------------------
		//                              SOUNDS
		//------------------------------------------------------------------
		game.load.audio("buttonOver", [ "cubxer/sounds/buttonOver.m4a", "cubxer/sounds/buttonOver.ogg" ]);
		game.load.audio("buttonSelect", [ "cubxer/sounds/buttonSelect.m4a", "cubxer/sounds/buttonSelect.ogg" ]);
		game.load.audio("cubeDown", [ "cubxer/sounds/cubeDown.m4a", "cubxer/sounds/cubeDown.ogg" ]);
		game.load.audio("cubeHit", [ "cubxer/sounds/cubeHit.m4a", "cubxer/sounds/cubeHit.ogg" ]);
		game.load.audio("cubeMove", [ "cubxer/sounds/cubeMove.m4a", "cubxer/sounds/cubeMove.ogg" ]);
		game.load.audio("cubeShrink1", [ "cubxer/sounds/cubeShrink1.m4a", "cubxer/sounds/cubeShrink1.ogg" ]);
		game.load.audio("cubeShrink2", [ "cubxer/sounds/cubeShrink2.m4a", "cubxer/sounds/cubeShrink2.ogg" ]);
		game.load.audio("cubeShrink3", [ "cubxer/sounds/cubeShrink3.m4a", "cubxer/sounds/cubeShrink3.ogg" ]);
		
		//------------------------------------------------------------------
		//                              VOICES
		//------------------------------------------------------------------
		game.load.audio("aNewGame", [ "cubxer/voices/aNewGame.m4a", "cubxer/voices/aNewGame.ogg" ]);
		game.load.audio("aNewHighscore", [ "cubxer/voices/aNewHighscore.m4a", "cubxer/voices/aNewHighscore.ogg" ]);
		game.load.audio("astounding", [ "cubxer/voices/astounding.m4a", "cubxer/voices/astounding.ogg" ]);
		game.load.audio("awesome", [ "cubxer/voices/awesome.m4a", "cubxer/voices/awesome.ogg" ]);
		game.load.audio("begin", [ "cubxer/voices/begin.m4a", "cubxer/voices/begin.ogg" ]);
		game.load.audio("excellent", [ "cubxer/voices/excellent.m4a", "cubxer/voices/excellent.ogg" ]);
		game.load.audio("fabulous", [ "cubxer/voices/fabulous.m4a", "cubxer/voices/fabulous.ogg" ]);
		game.load.audio("gameOver", [ "cubxer/voices/gameOver.m4a", "cubxer/voices/gameOver.ogg" ]);
		game.load.audio("good", [ "cubxer/voices/good.m4a", "cubxer/voices/good.ogg" ]);
		game.load.audio("impressive", [ "cubxer/voices/impressive.m4a", "cubxer/voices/impressive.ogg" ]);
		game.load.audio("levelComplete", [ "cubxer/voices/levelComplete.m4a", "cubxer/voices/levelComplete.ogg" ]);
		game.load.audio("newLevel", [ "cubxer/voices/newLevel.m4a", "cubxer/voices/newLevel.ogg" ]);
		game.load.audio("outstanding", [ "cubxer/voices/outstanding.m4a", "cubxer/voices/outstanding.ogg" ]);
		game.load.audio("savingGame", [ "cubxer/voices/savingGame.m4a", "cubxer/voices/savingGame.ogg" ]);
		game.load.audio("splendid", [ "cubxer/voices/splendid.m4a", "cubxer/voices/splendid.ogg" ]);
		game.load.audio("superVoice", [ "cubxer/voices/super.m4a", "cubxer/voices/super.ogg" ]);
		game.load.audio("superb", [ "cubxer/voices/superb.m4a", "cubxer/voices/superb.ogg" ]);
		game.load.audio("welcome", [ "cubxer/voices/welcome.m4a", "cubxer/voices/welcome.ogg" ]);
		game.load.audio("wow", [ "cubxer/voices/wow.m4a", "cubxer/voices/wow.ogg" ]);
	
	},
	
	
	create: function() {
		
		//----------------------------------------------------------------------------
		//                              MUSIC AND SOUNDS
		//----------------------------------------------------------------------------
		
		//========== MUSIC ==========
		gameMusic = game.add.audio("gameMusic", 0.8, true);
		
		//========== SOUNDS ==========
		buttonOver = game.add.audio("buttonOver", 0.8);
		buttonSelect = game.add.audio("buttonSelect", 0.8);
		cubeDown = game.add.audio("cubeDown", 0.8);
		cubeHit = game.add.audio("cubeHit", 0.9);
		cubeMove = game.add.audio("cubeMove", 0.8);
		cubeShrink1 = game.add.audio("cubeShrink1", 0.8);
		cubeShrink2 = game.add.audio("cubeShrink2", 0.8);
		cubeShrink3 = game.add.audio("cubeShrink3", 0.8);
		
		//========== VOICES ==========
		aNewGame = game.add.audio("aNewGame", 0.8);
		aNewHighscore = game.add.audio("aNewHighscore", 0.8);
		astounding = game.add.audio("astounding", 0.8);
		awesome = game.add.audio("awesome", 0.8);
		begin = game.add.audio("begin", 0.8);
		excellent = game.add.audio("excellent", 0.8);
		fabulous = game.add.audio("fabulous", 0.8);
		gameOver = game.add.audio("gameOver", 0.8);
		good = game.add.audio("good", 0.8);
		impressive = game.add.audio("impressive", 0.8);
		levelComplete = game.add.audio("levelComplete", 0.8);
		newLevel = game.add.audio("newLevel", 0.8);
		outstanding = game.add.audio("outstanding", 0.8);
		savingGame = game.add.audio("savingGame", 0.8);
		splendid = game.add.audio("splendid", 0.8);
		superVoice = game.add.audio("superVoice", 0.8);
		superb = game.add.audio("superb", 0.8);
		welcome = game.add.audio("welcome", 0.8);
		wow = game.add.audio("wow", 0.8);
		
	},
	
	
	update: function () {
		
		if (game.cache.isSoundDecoded("gameMusic"))
		{
			gameMusic.play();
			if (game.device.desktop) {
				gameMusic.volume = 0.8;
				musicIsMuted = false;
				game.state.start("menuState");
			} else {
				gameMusic.volume = 0.0;
				musicIsMuted = true;
				game.state.start("mobileState");
			}
		}
		
	}
	
}
